#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - liba2ps1 preinstallation
#
# Creation   :  2020-08-09 holbru
# Last update:  $Id: preinstall.sh 79711 2020-08-09 10:07:10Z hbfl $
#
# Copyright (c) 2020-2023 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=liba2ps1

# ---------------------------------------------------------------------------
# update system
# ---------------------------------------------------------------------------
installed_version=$(eisman check a2ps 3.0.0)

if [ "${installed_version}" = "new" ]
then
    if [ -f /etc/filelist.d/a2ps-files.txt ]
    then
        sed -i '/liba2ps/d' /etc/filelist.d/a2ps-files.txt
    fi
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
